package com.kingdee.eas.custom.handover;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkHandoverEntryCollection extends AbstractObjectCollection 
{
    public WorkHandoverEntryCollection()
    {
        super(WorkHandoverEntryInfo.class);
    }
    public boolean add(WorkHandoverEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkHandoverEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkHandoverEntryInfo item)
    {
        return removeObject(item);
    }
    public WorkHandoverEntryInfo get(int index)
    {
        return(WorkHandoverEntryInfo)getObject(index);
    }
    public WorkHandoverEntryInfo get(Object key)
    {
        return(WorkHandoverEntryInfo)getObject(key);
    }
    public void set(int index, WorkHandoverEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkHandoverEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkHandoverEntryInfo item)
    {
        return super.indexOf(item);
    }
}